## gate.swing
Class ColorGenerator

    java.lang.Object
      |
      +--gate.swing.ColorGenerator

public class ColorGenerator
extends Object

This class is used to generate random colours that are evenly distributed in the colours space.

Constructor Summary
`ColorGenerator()` Creates a new ColorGenerator

Method Summary
`Color` `getNextColor()` Gets the next random colour

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorGenerator

    public ColorGenerator()

  Creates a new ColorGenerator

Method Detail

### getNextColor

    public Color getNextColor()

  Gets the next random colour